%define anolis_release 3
Name:           perl-Algorithm-Diff
Version:        1.201
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Compute 'intelligent' differences between two files/lists
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Algorithm-Diff
Source0:        https://cpan.metacpan.org/modules/by-module/Algorithm/Algorithm-Diff-%{version}.tar.gz
Patch0:         Algorithm-Diff-provides.patch
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(integer)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test)
# Explicit requirements:
Requires:       perl(Carp)

%description
This is a module for computing the difference between two files, two strings,
or any other two lists of things. It uses an intelligent algorithm similar to
(or identical to) the one used by the Unix "diff" program. It is guaranteed to
find the *smallest possible* set of differences.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Algorithm-Diff-%{version}

# Generate provide for perl(Algorithm::DiffOld)
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc bin/*.pl
%{perl_vendorlib}/Algorithm/
%{_mandir}/man3/Algorithm::Diff.3*
%{_mandir}/man3/Algorithm::DiffOld.3*

%files doc
%doc Changes README

%changelog
* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.201-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.201-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.201-1
- init from upstream
